//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace RaamatukoguAPP11
{
    using System;
    using System.Collections.Generic;
    
    public partial class Eksemplar
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Eksemplar()
        {
            this.EksemplariSilt = new HashSet<EksemplariSilt>();
        }
    
        public int Kood { get; set; }
        public int Omanik { get; set; }
        public Nullable<int> Hoidja { get; set; }
        public string AsukohaKommentaar { get; set; }
        public Nullable<int> Kapp { get; set; }
        public Nullable<int> Riiul { get; set; }
        public Nullable<int> Saadaval { get; set; }
        public int RaamatuKood { get; set; }
        public Nullable<int> EksemplariSildiKood { get; set; }
    
        public virtual Kasutaja KasutajaH { get; set; }
        public virtual Kasutaja KasutajaO { get; set; }
        public virtual Raamat Raamat { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<EksemplariSilt> EksemplariSilt { get; set; }
        public virtual EksemplariSilt EksemplariSilt1 { get; set; }
    }
}
